from eossr.utils import get_codemeta_from_zipurl, ZipUrl
from pathlib import Path

_testurl = 'https://zenodo.org/record/5524913/files/eossr-v0.2.zip'

def test_ZipUrl():
    zipurl = ZipUrl(_testurl)
    codemeta_paths = zipurl.find_files('codemeta.json')

    assert 'eossr-v0.2/codemeta.json' in codemeta_paths
    assert 'eossr-v0.2/eossr/metadata/schema/codemeta.json' in codemeta_paths
    zipurl.extract_file('eossr-v0.2/codemeta.json')
    assert Path('eossr-v0.2/codemeta.json').exists()

def test_get_codemeta_from_zipurl():
    codemeta = get_codemeta_from_zipurl(_testurl)
    assert codemeta['name'] == 'eossr'
